DEBCOMMIT.FR(1)

NOM
debcommit - Soumettre les changements à un paquet

SYNOPSIS
debcommit [options] [--all | fichiers à commiter]

DESCRIPTION
debcommit génère un message de commit basé sur le nouveau texte dans le fichier debian/changelog, et envoie la modification dans un dépôt du paquet. Il doit être lancé dans une copie de travail du paquet. Les systèmes de contrôle de versions pris en charge sont cvs, git, hg (mercurial), svk, svn (Subversion), baz, bzr, tla (arch), darcs.

OPTIONS

-c, --changelog chemin
    Indiquer un autre emplacement pour le journal des modifications. Par défaut debian/changelog est utilisé.

-r, --release
    Commiter une distribution ("release") du paquet. Le numéro de version est déterminé à partir du fichier debian/changelog et est utilisé pour étiqueter le paquet dans le dépôt.

    Veuillez noter que les conventions de nommage des étiquettes varient pour Subversion et svk, donc debcommit utilise svnpath(1) pour déterminer où l'étiquette doit être placée dans le dépôt.

-R, --release-use-changelog
    Quand elle est utilisée avec l'option --release, s'il y a des modifications non envoyées dans le journal des modifications, alors utiliser ces modifications pour le message d'envoi (commit) plutôt que le message par défaut.

-m texte, --message texte
    Indiquer un message de commit à utiliser. Utile si le programme ne peut pas déterminer tout seul un message de commit à partir du fichier debian/changelog ou si vous voulez remplacer le message par défaut.

-n, --noact
    Ne rien faire, mais afficher les commandes qui seraient exécutées.

-d, --diff
    Au lieu de faire un envoi (commit), afficher la différence qui correspond à ce qui serait envoyé si cette option n'avait pas été fournie. C'est utile pour créer un patch correspondant aux modifications dans un espace de travail (par exemple quand vous n'avez pas les droits d'accès pour effectuer l'envoi).

-C, --confirm
    Afficher le message d'envoi créé et demander une confirmation avant l'envoi. Il est aussi possible d'éditer le message à ce moment ; dans ce cas, la demande de confirmation sera affichée de nouveau après que le message a été édité.

-e, --edit
    Éditer le message d'envoi créé dans votre éditeur préféré avant l'envoi.

-a, --all
    Envoyer tous les fichiers. C'est l'opération par défaut pour les systèmes de contrôle de versions autres que Git.

-s, --strip-message, --no-strip-message
    Si cette option est utilisée et que le message d'envoi est défini à l'aide du journal des modifications, les caractères "*" (espace comprise) seront enlevés au début du message.

    Cette option est activée par défaut et est ignorée si plus d'une ligne du message commence par "[*+-]" (espace comprise).

--sign-commit, --no-sign-commit
    Si cette option est activée, alors les messages créés par debcommit seront signés avec GnuPG. Ce n'est actuellement géré que par Git, mercurial et Bazaar.

--sign-tags, --no-sign-tags
    Si cette option est activée, alors les étiquettes créées par debcommit seront signées avec GnuPG. Ce n'est actuellement géré que par Git.

--changelog-info
    Si cette option est définie, l'auteur et la date de commit seront déterminés à partir des champs Maintainer et Date du premier paragraphe de debian/changelog. C'est surtout pratique en utilisant debchange(1) avec l'option --no-mainttrailer.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont chargés dans cet ordre par un interpréteur de commandes pour définir les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les paramètres des variables d'environnement sont ignorés à cette fin. Les variables actuellement reconnues sont :

DEBCOMMIT_STRIP_MESSAGE
    Lui attribuer la valeur no équivaut à utiliser l'option --no-strip-message. La valeur par défaut est yes.

DEBCOMMIT_SIGN_TAGS
    Lui attribuer la valeur yes équivaut à utiliser l'option --sign-tags. La valeur par défaut est no.

DEBCOMMIT_SIGN_COMMITS
    Lui attribuer la valeur yes équivaut à utiliser l'option --sign-commit. La valeur par défaut est no.

DEBCOMMIT_RELEASE_USE_CHANGELOG
    Lui attribuer la valeur yes équivaut à utiliser l'option --release-use-changelog. La valeur par défaut est no.

DEBSIGN_KEYID
    L'identifiant de la clef à utiliser pour les signatures. Si cette variable n'est pas configurée, une valeur par défaut sera utilisée par les systèmes de contrôle de versions.

FONCTIONNALITÉS SPÉCIFIQUES AUX SYSTÈMES DE CONTRÔLE DE VERSIONS

tla / baz
    Si le message d'envoi contient plus de 72 caractères, un résumé sera créé, contenant autant de mots entiers que possible dans la limite des 72 caractères, suivi de points de suspension.

Chacune des fonctionnalités décrites ci-dessous ne s'applique que si le message d'envoi a été créé automatiquement à partir du journal des modifications.

git Si une seule modification est détectée dans le journal des modifications, debcommit rassemblera le message sur une unique ligne et se comportera comme si l'option --strip-message était utilisée.

    Sinon, la première modification sera rassemblée sur une ligne et nettoyée pour former la ligne de résumé et un message d'envoi sera créé avec la ligne de résumé, suivi d'une ligne vide puis des modifications du journal des modifications. debcommit lancera ensuite un éditeur de telle sorte que le message puisse être retouché avant l'envoi.

hg / darcs
    La première modification détectée dans le journal des modifications sera rassemblée sur une ligne de résumé. Si plusieurs modifications sont détectées alors un éditeur sera lancé pour permettre de retoucher le message.

bzr Si l'entrée du journal des modifications utilisée pour le message de commit ferme des bogues, des options --fixes pour "bzr commit" seront produits pour associer la révision aux bogues.

LICENCE
Ce code est copyright Joey Hess <joeyh@debian.org>, tous droits réservés. Ce programme est fourni SANS AUCUNE GARANTIE. Vous êtes libre de redistribuer ce code sous les termes de la licence publique générale GNU (GNU General Public Licence), version 2 ou ultérieure.

AUTEUR
Joey Hess <joeyh@debian.org>

VOIR AUSSI
debchange(1), svnpath(1)

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021